cdac.medinfo.sdk.hl7282.baselibs

## Class FN

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.FN

- All Implemented Interfaces:
    IDataType

      public class FN
      extends CompositeDataType

  FN - Family Name

  THis data type allows full specification of the surname of a person.

  Represents an HL7 FN data type. This data type has the following attributes:

  1. Surname (ST)Required
  2. Own Surname Prefix (ST)Optional
  3. Own Surname (ST)Optional
  4. Surname Prefix From Partner/Spouse (ST)Optional
  5. Surname From Partner/Spouse (ST)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FN()` Default Constructor for FN
    `FN(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for FN class which takes two arguments and sets the value in the respective member variable.
    `FN(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for FN class which takes four arguments and sets the value in the respective member variable.
    `FN(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for FN class which takes six arguments and sets the value in the respective member variable.
    `FN(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for FN class which takes four arguments and sets the value in the respective member variable.
    `FN(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for FN class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ST` | `getOwnSurname()` Returns Own Surname
    `ST` | `getOwnSurnamePrefix()` Returns Own Surname Prefix
    `ST` | `getSurname()` Returns Surname
    `ST` | `getSurnameFromPartnerSpouse()` Returns Surname From Partner/Spouse
    `ST` | `getSurnamePrefixFromPartnerSpouse()` Returns Surname Prefix From Partner/Spouse
    `void` | `setOwnSurname(ST objST)` Sets the OwnSurname.
    `void` | `setOwnSurname(java.lang.String strOwnSurname)` Sets the OwnSurname.
    `void` | `setOwnSurnamePrefix(ST objST)` Sets the OwnSurnamePrefix.
    `void` | `setOwnSurnamePrefix(java.lang.String strOwnSurnamePrefix)` Sets the OwnSurnamePrefix.
    `void` | `setSurname(ST objST)` Sets the Surname.
    `void` | `setSurname(java.lang.String strSurname)` Sets the Surname.
    `void` | `setSurnameFromPartnerSpouse(ST objST)` Sets the SurnameFromPartnerSpouse.
    `void` | `setSurnameFromPartnerSpouse(java.lang.String strSurnameFromPartnerSpouse)` Sets the SurnameFromPartnerSpouse.
    `void` | `setSurnamePrefixFromPartnerSpouse(ST objST)` Sets the SurnamePrefixFromPartnerSpouse.
    `void` | `setSurnamePrefixFromPartnerSpouse(java.lang.String strSurnamePrefixFromPartnerSpouse)` Sets the SurnamePrefixFromPartnerSpouse.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FN

          public FN()

      Default Constructor for FN

    - #### FN

          public FN(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for FN class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### FN

          public FN(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for FN class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### FN

          public FN(int iComponentType,
            IDataTypeMap objIDataTypeMap)

      Constructor for FN class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### FN

          public FN(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            IDataTypeMap objIDataTypeMap)

      Constructor for FN class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### FN

          public FN(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int ITableNo,
            IDataTypeMap objIDataTypeMap)

      Constructor for FN class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setSurname

          public void setSurname(java.lang.String strSurname)

      Sets the Surname.
      Parameters:
        `strSurname` - Specifies the person's family name.

    - #### setSurname

          public void setSurname(ST objST)

      Sets the Surname.
      Parameters:
        `objST` - Specifies the person's family name.

    - #### setOwnSurnamePrefix

          public void setOwnSurnamePrefix(java.lang.String strOwnSurnamePrefix)

      Sets the OwnSurnamePrefix.
      Parameters:
        `strOwnSurnamePrefix` - Specifies internationalization usage for Germanic languages.

    - #### setOwnSurnamePrefix

          public void setOwnSurnamePrefix(ST objST)

      Sets the OwnSurnamePrefix.
      Parameters:
        `objST` - Specifies internationalization usage for Germanic languages.

    - #### setOwnSurname

          public void setOwnSurname(java.lang.String strOwnSurname)

      Sets the OwnSurname.
      Parameters:
        `strOwnSurname` - Specifies The portion of the surname (in most Western usage, the last name) that is derived from the person's own surname.

    - #### setOwnSurname

          public void setOwnSurname(ST objST)

      Sets the OwnSurname.
      Parameters:
        `objST` - Specifies The portion of the surname (in most Western usage, the last name) that is derived from the person's own surname.

    - #### setSurnamePrefixFromPartnerSpouse

          public void setSurnamePrefixFromPartnerSpouse(java.lang.String strSurnamePrefixFromPartnerSpouse)

      Sets the SurnamePrefixFromPartnerSpouse.
      Parameters:
        `strSurnamePrefixFromPartnerSpouse` - Specifies internationalization usage for Germanic languages. An example of a surname prefix is the "van" in "Ludwig van Beethoven".

    - #### setSurnamePrefixFromPartnerSpouse

          public void setSurnamePrefixFromPartnerSpouse(ST objST)

      Sets the SurnamePrefixFromPartnerSpouse.
      Parameters:
        `objST` - Specifies internationalization usage for Germanic languages. An example of a surname prefix is the "van" in "Ludwig van Beethoven".

    - #### setSurnameFromPartnerSpouse

          public void setSurnameFromPartnerSpouse(java.lang.String strSurnameFromPartnerSpouse)

      Sets the SurnameFromPartnerSpouse.
      Parameters:
        `strSurnameFromPartnerSpouse` - Specifies the portion of the person's surname (in most Western usage, the last name) that is derived from the surname of the person's partner or spouse.

    - #### setSurnameFromPartnerSpouse

          public void setSurnameFromPartnerSpouse(ST objST)

      Sets the SurnameFromPartnerSpouse.
      Parameters:
        `objST` - Specifies the portion of the person's surname (in most Western usage, the last name) that is derived from the surname of the person's partner or spouse.

    - #### getSurname

          public ST getSurname()

      Returns Surname
      Returns:
        ST - data type.

    - #### getOwnSurnamePrefix

          public ST getOwnSurnamePrefix()

      Returns Own Surname Prefix
      Returns:
        ST - data type.

    - #### getOwnSurname

          public ST getOwnSurname()

      Returns Own Surname
      Returns:
        ST - data type.

    - #### getSurnamePrefixFromPartnerSpouse

          public ST getSurnamePrefixFromPartnerSpouse()

      Returns Surname Prefix From Partner/Spouse
      Returns:
        ST - data type.

    - #### getSurnameFromPartnerSpouse

          public ST getSurnameFromPartnerSpouse()

      Returns Surname From Partner/Spouse
      Returns:
        ST - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validetion is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.